## wings3d 2.2.5

=== Makefile ===
#
#  Makefile --
#
#     Top-level Makefile for building Wings 3D.
#
#  Coepyright (c) 2001-2011 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

# Check if OpenCL package is needed

include erl.mk

CL_PATH = $(shell $(ERL) -noshell -eval 'erlang:display(code:which(cl))' -s erlang halt)
ifneq (,$(findstring non_existing, $(CL_PATH)))
DEPS = cl
CL_VER=cl-1.2.4
endif

.PHONY: all debug clean lang

all: $(DEPS)
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE))
	(cd e3d; $(MAKE))
	(cd c_src; $(MAKE))
	(cd plugins_src; $(MAKE))
	(cd icons; $(MAKE))
	@cat _deps/build_log 2> /dev/null || true

debug: $(DEPS)
	(cd intl_tools; $(MAKE) debug)
	(cd src; $(MAKE) debug)
	(cd e3d; $(MAKE) debug)
	(cd c_src; $(MAKE) debug)
	(cd plugins_src; $(MAKE) debug)
	(cd icons; $(MAKE) debug)
	@cat _deps/build_log 2> /dev/null || true

clean:
	(cd intl_tools; $(MAKE) clean)
	(cd src; $(MAKE) clean)
	(cd e3d; $(MAKE) clean)
	(cd c_src; $(MAKE) clean)
	(cd plugins_src; $(MAKE) clean)
	(cd icons; $(MAKE) clean)

lang: all
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE) lang)
	(cd plugins_src; $(MAKE) lang)
	$(ESCRIPT) tools/verify_language_files .

#
# Build installer for Windows.
#
.PHONY: win32
win32: all lang
	(cd win32; $(MAKE))
	escript tools/release

#
# Build a package for MacOS X.
#
.PHONY: macosx
macosx: all lang
	escript tools/release

#
# Build package for Unix.
#
.PHONY: unix
unix: all lang
	escript tools/release

#
# Build the source distribution.
#

.PHONY: .FORCE-WINGS-VERSION-FILE
vsn.mk: .FORCE-WINGS-VERSION-FILE
	@./WINGS-VERSION-GEN

-include vsn.mk

WINGS_TARNAME=wings-$(WINGS_VSN)
.PHONY: dist
dist:
	git archive --format=tar \
		--prefix=$(WINGS_TARNAME)/ HEAD^{tree} > $(WINGS_TARNAME).tar
	@mkdir -p $(WINGS_TARNAME)
	@echo $(WINGS_VSN) > $(WINGS_TARNAME)/version
	tar rf $(WINGS_TARNAME).tar $(WINGS_TARNAME)/version
	@rm -r $(WINGS_TARNAME)
	bzip2 -f -9 $(WINGS_TARNAME).tar

#
# cl (erl wrapper library) not in path try to download and build it
#

CL_REPO = https://github.com/tonyrog/cl.git

.PHONY: cl
cl: _deps/cl
	@(cd _deps/cl; rebar3 compile > ../build_log 2>&1 && rm ../build_log) \
	  || echo ***Warning*** OpenCL not useable >> _deps/build_log

_deps/cl:
	git -c advice.detachedHead=false clone --depth 1 -b $(CL_VER) $(CL_REPO) _deps/cl

=== c_src/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings "accelerator" helpers.
#
#  Copyright (c) 2004-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.11 2006/01/14 09:02:38 dgud Exp $
#
include ../erl.mk

OS := $(shell uname -s)

LIBDIR = ../priv

ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
  USEMINGWGCC := true
  DEF_CC = mingw32-gcc
endif

ifdef MSYSTEM
 ifeq ($(MSYSTEM),$(filter $(MSYSTEM),MINGW32 MINGW64))
  USEMINGWGCC := true
  DEF_CC = gcc
 endif
else
 ifeq ($(WSLcross), true)
  UseMCL = true
 endif
endif

## UseMCL := $(shell cl.exe 2>&1 | grep Microsoft)

ifneq (x$(UseMCL),x)
  UseMCL = true
  USEMINGWGCC = false
  DEF_CC = cl.exe
endif

FRD = 'io:fwrite("~n=:~s~n",[code:root_dir()]),init:stop().'
ERL_DIR := $(shell echo $(FRD) | $(ERL) | sed -n '/^=:/s/^=://p')
ERL_INC = "$(ERL_DIR)/usr/include"

UNIVERSAL_FLAGS =
COMMON_CFLAGS = -Wall

ifeq ($(UseMCL),true)
 OUT = -Fe:
 SO_EXT = dll
 LIBS = -LD
 CFLAGS += -nologo -Zi -Ox
else
 OUT = -o
 ifdef USEMINGWGCC
  SO_EXT = dll
  LIBS = -mdll
  GL_LIBS += -lopengl32 -lglu32
  CFLAGS += $(COMMON_CFLAGS) -Werror -O3
 else
  SO_EXT = so
  DEF_CC = $(CC)
  ifeq ($(OS),Darwin)
    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -Werror -O3
    LIBS = $(UNIVERSAL_FLAGS) -bundle -flat_namespace -undefined suppress
    GL_LIBS =
  else
    LIBS = -shared -fpic
    GL_LIBS += -L/usr/local/lib -lGLU -lGL
    CFLAGS += $(COMMON_CFLAGS) -Werror -O3
  endif
 endif
endif

ifeq ($(GCC),)
    GCC = $(DEF_CC)
endif

DRV = $(LIBDIR)/wings_pick_nif.$(SO_EXT)

TARGET_FILES=$(BEAM) $(DRV)

all: $(TARGET_FILES)

$(LIBDIR)/%.$(SO_EXT): %.c
	install -d $(LIBDIR)
	$(GCC) $(CFLAGS) -I$(ERL_INC) $(OUT) $@ $< $(LIBS) $(GL_LIBS)

clean:
	rm -f $(TARGET_FILES) vc*.pdb wings_pick_*.obj
	rm -f core

=== e3d/Makefile ===
#
#  Makefile --
#
#     Makefile for building the E3D modules.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

include ../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
EBIN=../ebin

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS= +debug_info
endif

MODULES= \
	e3d_image \
	e3d_mesh \
	e3d_file \
	e3d_obj \
	e3d_tds \
	e3d_transform \
	e3d_mat \
	e3d_util \
	e3d_vec \
	e3d_q \
	e3d_bv \
	e3d_bvh \
	e3d_kd3 \
	e3d__tri_quad \
	e3d__meshclean \
	e3d__bmp \
	e3d__dds \
	e3d__tga \
	e3d__png \
	e3d__tif \
	e3d_bzw

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) 

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------

$(TARGET_FILES): e3d.hrl

=== src/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk
include ../erl.mk

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../ebin

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

# All modules except wings_langs are mentioned here. It contains a parse
# transform needed for compiling the other modules, so we must use a special
# rule to ensure that it gets compiled before all other modules.

MODULES= \
	user_default \
	wings \
	wings_align \
	wings_body \
	wings_bool \
	wings_camera \
	wings_cl \
	wings_cc \
	wings_collapse \
	wings_color \
	wings_console \
	wings_deform \
	wings_develop \
	wings_dialog \
	wings_dissolve \
	wings_dl \
	wings_drag \
	wings_draw \
	wings_draw_setup \
	wings_edge \
	wings_edge_cmd \
	wings_edge_loop \
	wings_export \
	wings_extrude_edge \
	wings_extrude_face \
	wings_face \
	wings_face_cmd \
	wings_facemat \
	wings_file \
	wings_ff_ndo \
	wings_ff_wings \
	wings_frame \
	wings_geom_win \
	wings_gl \
	wings_glfont \
	wings_help \
	wings_hotkey \
	wings_info \
	wings_image \
	wings_image_viewer \
	wings_import \
	wings_io \
	wings_io_wx \
	wings_job \
	wings_light \
	wings_magnet \
	wings_material \
	wings_menu \
	wings_menu_util \
	wings_move \
	wings_msg \
	wings_obj \
	wings_outliner \
	wings_palette \
	wings_pb \
	wings_pick \
	wings_pick_nif \
	wings_plugin \
	wings_pref \
	wings_pref_dlg \
	wings_proxy \
	wings_render \
	wings_rotate \
	wings_s \
	wings_sel \
	wings_sel_conv \
	wings_sel_cmd \
	wings_scale \
	wings_shaders \
	wings_shapes \
	wings_start \
	wings_status \
	wings_subdiv \
	wings_sup \
	wings_theme \
	wings_toolbar \
	wings_tesselation \
	wings_text \
	wings_tweak \
	wings_tweak_win \
	wings_u \
	wings_undo \
	wings_util \
	wings_va \
	wings_vbo \
	wings_vec \
	wings_vertex \
	wings_vertex_cmd \
	wings_view \
	wings_we \
	wings_we_build \
	wings_we_util \
	wings_wm \
	wpa \
	ww_color_ctrl \
	ww_color_slider \
	jsone \
	jsone_decode \
	jsone_encode

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

WINGS_MODS= $(MODULES:%=%,)wings_lang

APP_FILE   = wings.app
APP_SRC    = $(APP_FILE).src
APP_TARGET = $(EBIN)/$(APP_FILE)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) \
'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug wx:
	$(MAKE) TYPE=$@ common

common: $(EBIN)/wings_lang.beam $(TARGET_FILES) $(APP_TARGET)

template: $(TARGET_FILES)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template ../ebin -run erlang halt

lang: template
	@cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

clean:
	rm -f $(TARGET_FILES) $(EBIN)/wings_lang.beam
	rm -f core

$(EBIN)/wings_u.beam: $(ESRC)/wings_u.erl
	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(APP_TARGET): $(APP_SRC) ../vsn.mk Makefile
	$(gen_verbose)sed -e 's;%WINGS_MODS%;$(WINGS_MODS);' $< > $@.tmp
	$(vsn_verbose)sed -e 's;%VSN%;$(WINGS_VSN);' $@.tmp > $@
	$(V_at)rm $@.tmp

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------
$(EBIN)/wings_export.beam $(EBIN)/wings_file.beam $(EBIN)/wings_help.beam $(EBIN)/wings_pref.beam $(EBIN)/wings_u.beam $(EBIN)/wpa.beam: ../vsn.mk

$(EBIN)/wings_text.beam: ../intl_tools/wings_chars.hrl

$(TARGET_FILES): $(EBIN)/wings_lang.beam wings.hrl

DEPENDENT_OF_E3D_HRL = \
	wings_draw \
	wings_export \
	wings_face \
	wings_file \
	wings_import \
	wings_job \
	wings_light \
	wings_pick \
	wings_plugin \
	wings_tesselation \
	wings_we \
	wpa

$(DEPENDENT_OF_E3D_HRL:%=$(EBIN)/%.beam): ../e3d/e3d.hrl

=== win32/Makefile ===
#
#  Makefile --
#
#     Makefile for building the Wings3D.exe wrapper
#     for starting Wings.
#
#  Copyright (c) 2003-2009 Bjorn Gustavsson & Dan Gudmundsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

LIBS = -lkernel32 -luser32 -ladvapi32
CFLAGS = -mwindows
OUT = -o
RES_FILE = wings3d_res.o

ifeq ($(findstring CYGWIN,$(shell uname -s)),CYGWIN)
    CC = mingw32-gcc
else
    ifeq ($(WSLcross), true)
	OUT = -nologo -Fe
	CC = cl.exe
	RES_FILE = wings3d.res
	CFLAGS =
	LIBS = /link Shell32.lib user32.lib kernel32.lib advapi32.lib
    else
	CC = gcc
    endif
endif


Wings3D.exe: wings3d.c $(RES_FILE)
	$(CC) $(OUT)Wings3D.exe wings3d.c $(RES_FILE) $(CFLAGS) $(LIBS)

wings3d_res.o: wings3d.rc
	windres -i wings3d.rc -o wings3d_res.o

wings3d.res: wings3d.rc
	rc.exe wings3d.rc

=== plugins_src/autouv/Makefile ===
#
#  Makefile --
#
#     Makefile for building AutoUV.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.16 2006/01/17 23:22:01 dgud Exp $
#

include ../../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/autouv
WINGS_TOP=../../..

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	auv_mapping \
	auv_matrix \
	auv_placement \
	auv_segment \
	auv_seg_ui \
	auv_texture \
	auv_util \
	wpc_snap_win \
	wpc_autouv


TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) subdirs

subdirs:
	(cd shaders; $(MAKE))

template: opt
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template $(EBIN) -run erlang halt

lang: template
	cp *.lang $(EBIN)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

clean:
	(cd shaders; $(MAKE) clean)
	rm -f $(TARGET_FILES)
	rm -f core

$(TARGET_FILES): auv.hrl

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== plugins_src/commands/Makefile ===
#
#  Makefile --
#
#     Makefile for building command plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.21 2006/06/29 19:57:58 giniu Exp $
#
include ../../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/commands
WINGS_TOP=../../..
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_absolute_move \
	wpc_absolute_scale \
	wpc_ambocc \
	wpc_arc_intersect \
	wpc_bend \
	wpc_circularise \
	wpc_inset \
	wpc_connect_tool \
	wpc_constraints \
	wpc_cylindrilize \
	wpc_corner \
	wpc_deselect_previous \
	wpc_doosabin \
	wpc_explode \
	wpc_flow_connect \
	wpc_grid_snap \
	wpc_intersect_edge \
	wpc_intersect_vertex \
	wpc_isometric_view \
	wpc_magnet_mask \
	wpc_move_planar \
	wpc_numeric_camera \
	wpc_plane_cut \
	wpc_region \
	wpc_rotate_unconstrained \
	wpc_sculpt \
	wpc_sel_win \
	wpc_shear \
	wpc_shift \
	wpc_sweep_extrude \
	wpc_turnedge \
	wpc_untriangulate \
	wpc_views_win \
	wpc_weld

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -pa $(WINGS_INTL) -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_constraints.beam: $(WINGS_E3D)/e3d.hrl

=== plugins_src/primitives/Makefile ===
#
#  Makefile --
#
#     Makefile for building plug-ins for primitives.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.14 2006/08/02 22:44:40 antoneos Exp $
#
include ../../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/primitives
WINGS_TOP=../../..
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_bbox \
	wpc_cylinder \
	wpc_geodome \
	wpc_image \
	wpc_knot \
	wpc_ncube \
	wpc_plane \
	wpc_spiral \
	wpc_torus \
	wpc_tt

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_image.beam $(EBIN)/wpc_tt.beam: $(WINGS_E3D)/e3d.hrl

=== debian/changelog ===
wings3d (2.2.5-1) unstable; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Mar 2020 10:37:37 +0300

=== debian/control ===
Source: wings3d
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 12.0.0), grep-dctrl,
 erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
Standards-Version: 4.5.0
Homepage: http://www.wings3d.com
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git


Package: wings3d
Architecture: any
Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${erlang-wx:Depends},
 ${erlang-xmerl:Depends}, ${erlang-esdl:Depends}, erlang-cl,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: ${erlang-dialyzer:Depends}, ${erlang-tools:Depends}, yafaray | aqsis
Description: Nendo-inspired 3D polygon mesh modeller
 Wings 3D is a polygon mesh modeller written entirely in Erlang.  The
 user interface was designed to be easy to use for both beginners and
 advanced users alike.  It was inspired by the famous Nendo modeller
 (from Izware.)
 .
 Unlike similar modelling programs (such as Blender), this program
 does not provide native support for doing animations (though you can
 output its models to an animation tool.)
 .
 Wings 3D supports the following import formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), and Adobe Illustrator 8 (AI).
 .
 Wings 3D supports the following export formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), VRML (WRL), Renderman (RIB),
 Hash:Animation Master (MDL), Renderware (RWX), Yafray, Toxic,
 and FBX via a third-party plug-in.
 .
 Open Source Erlang is a functional programming language designed at
 the Ericsson Computer Science Laboratory.

=== debian/rules ===
#!/usr/bin/make -f

-include vsn.mk

export HOME := $(CURDIR)/debian
DIR := debian/wings3d
LIBDIR := /usr/lib/erlang/lib/wings-$(WINGS_VSN)
LINTIANDIR := /usr/share/lintian/overrides
SUBDIRS := ebin plugins priv shaders textures

%:
	dh $@

vsn.mk:
	$(MAKE) vsn.mk

override_dh_clean:
	rm -rf plugins/accel
	rm -rf plugins/jpeg
	find plugins -name '*.lang' -exec rm -f \{\} \;
	rm -f ebin/*.lang
	rm -f src/wings_en.lang
	rm -f plugins_src/autouv/autouv_en.lang
	rm -rf wings-$(WINGS_VSN)
	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'

FAKE_BUILD = $(CURDIR)/wings-$(WINGS_VSN)
export ERL_COMPILE_FLAGS := -pa $(FAKE_BUILD)/ebin

override_dh_auto_build:
	# HACK: build process can't find some include files because of naming
	# of the build directory wings3d-<vsn> instead of wings-<vsn>, so
	# create the desired directory inside the current one
	mkdir $(FAKE_BUILD)
	ln -s ../src $(FAKE_BUILD)/src
	ln -s ../e3d $(FAKE_BUILD)/e3d
	ln -s ../intl_tools $(FAKE_BUILD)/intl_tools
	ln -s ../ebin $(FAKE_BUILD)/ebin
	$(MAKE)
	$(MAKE) lang

override_dh_install:
	find .
	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
	# Remove errant executable flags to please lintian
	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
	# Remove the .gitignore
	find $(DIR) -name .gitignore -delete
	# prepare substvars file
	erlang-depends
	grep-status -s Version -PX erlang-esdl | \
	    sed -e's!^Version: \(.*\)-.*!erlang-esdl:Depends=erlang-esdl (>= \1)!' \
	    >> debian/wings3d.substvars

get-orig-source:
	wget -O wings3d_2.2.1.orig.tar.bz2 \
	    http://prdownloads.sourceforge.net/wings/wings-2.2.1.tar.bz2

.PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source

## wings3d 2.2.9

=== Makefile ===
#
#  Makefile --
#
#     Top-level Makefile for building Wings 3D.
#
#  Coepyright (c) 2001-2011 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

include erl.mk

# Check if OpenCL package is as external dependency
CL_PATH = $(shell $(ERL) -noshell -eval 'erlang:display(code:which(cl))' -s erlang halt)
ifneq (,$(findstring non_existing, $(CL_PATH)))
DEPS=cl
endif

DEPS += libigl eigen
SUBDIRS=c_src intl_tools src e3d plugins_src icons

#
# Normal build targets
#
opt debug clean:
	$(MAKE) TYPE=$@ common

common: $(SUBDIRS) deps_result

.PHONY: opt debug clean $(SUBDIRS) deps_result

$(SUBDIRS):
	$(MAKE) --directory=$@ $(TYPE)

#
# Build installer for Windows.
#
.PHONY: win32
win32: opt lang
	(cd win32; $(MAKE))
	escript tools/release

#
# Build a package for MacOS X.
#
.PHONY: macosx
macosx: opt lang
	escript tools/release

#
# Build package for Unix.
#
.PHONY: unix
unix: opt lang
	escript tools/release

#
# Generate language files
#
lang: intl_tools src plugins_src
	(cd src; $(MAKE) lang)
	(cd plugins_src; $(MAKE) lang)
	$(ESCRIPT) tools/verify_language_files .

#
# Build the source distribution.
#

.PHONY: .FORCE-WINGS-VERSION-FILE
vsn.mk: .FORCE-WINGS-VERSION-FILE
	@./WINGS-VERSION-GEN

-include vsn.mk

WINGS_TARNAME=wings-$(WINGS_VSN)
.PHONY: dist
dist:
	git archive --format=tar \
		--prefix=$(WINGS_TARNAME)/ HEAD^{tree} > $(WINGS_TARNAME).tar
	@mkdir -p $(WINGS_TARNAME)
	@echo $(WINGS_VSN) > $(WINGS_TARNAME)/version
	tar rf $(WINGS_TARNAME).tar $(WINGS_TARNAME)/version
	@rm -r $(WINGS_TARNAME)
	bzip2 -f -9 $(WINGS_TARNAME).tar



#
# Build helper
#  Makes it possible to see 'OpenCL' build problems
deps_result: $(SUBDIRS)
	@cat _deps/build_log 2> /dev/null || true


# Internal dependencies
#   Some not needed, added to disable parallel builds of erlang dirs
#   which causes performance loss if an erlang build server is used
c_src: $(DEPS)
src: intl_tools e3d
plugins_src: intl_tools src
icons: e3d plugins_src
lang: opt

#
#  External Dependencies
#

CL_REPO = https://github.com/tonyrog/cl.git
IGL_REPO = https://github.com/dgud/libigl.git
EIGEN_REPO = https://github.com/eigenteam/eigen-git-mirror.git

CL_VER=cl-1.2.4
IGL_VER=master
EIGEN_VER=3.3.7
# see libigl/cmake/LibiglDownloadExternal.cmake for eigen version

GIT_FLAGS = -c advice.detachedHead=false clone --depth 1

.PHONY: cl igl eigen

# cl (erl wrapper library) not in path try to download and build it
cl: _deps/cl
	@(cd _deps/cl; rebar3 compile > ../build_log 2>&1 && rm ../build_log) \
	  || echo ***Warning*** OpenCL not useable >> _deps/build_log

_deps/cl:
	git $(GIT_FLAGS) -b $(CL_VER) $(CL_REPO) _deps/cl

# libigl have many useful function
libigl: _deps/libigl

_deps/libigl:
	git $(GIT_FLAGS) -b $(IGL_VER) $(IGL_REPO) _deps/libigl

# eigen needed by libigl
eigen: _deps/eigen

_deps/eigen:
	git $(GIT_FLAGS) -b $(EIGEN_VER) $(EIGEN_REPO) _deps/eigen

=== icons/Makefile ===
#
#  Makefile --
#
#     Makefile for building icons for Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.7 2006/08/23 02:56:49 antoneos Exp $
#

include ../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
EBIN=../ebin

ICONSETS= \
	classic \
	bluecube \
	purpletube

ICONSIZE= \
	48x48 \
	256x256 \
	379x379

TARGET_FILES = $(ICONSETS:%=$(EBIN)/wings_icon_%.bundle) \
		$(ICONSIZE:%=$(EBIN)/wings_icon_%.png)

GEN_PS_ICONS=$(wildcard orig/bluecube-assests/*.png)
PS_ICONS=$(patsubst %,bluecube/%,$(notdir $(GEN_PS_ICONS)))

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += -pa ../../wings/ebin
ERL_COMPILE_FLAGS += -I ../.. -Werror +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug: collect_bmp.beam $(TARGET_FILES)

bluecube/%.png: orig/bluecube-assests/%.png
	mv $? $@

$(EBIN)/wings_icon_%.bundle: %/*.bmp %/*.png collect_bmp.beam about_wings.bmp
	$(ERL) $(ERL_FLAGS) -noinput -run collect_bmp start . $(ESRC)/$* $@ -s erlang halt

clean:
	for ICONSET in $(ICONSETS); do \
		rm -f $(EBIN)/wings_icon_$$ICONSET.bundle; \
	done
	rm -f collect_bmp.beam
	@echo

$(EBIN)/%.png:
	install $*.png $@

%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o. $<

=== src/Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 # rule to ensure that it gets compiled before all other modules.
 
 MODULES= \
+	libigl \
 	user_default \
 	wings \
 	wings_align \
@@ -67,6 +68,7 @@
 	wings_geom_win \
 	wings_gl \
 	wings_glfont \
+	wings_glu_tess \
 	wings_help \
 	wings_hotkey \
 	wings_info \
@@ -121,6 +123,7 @@
 	wings_vertex \
 	wings_vertex_cmd \
 	wings_view \
+	wings_view_win \
 	wings_we \
 	wings_we_build \
 	wings_we_util \
@@ -150,7 +153,7 @@
 # Targets
 # ----------------------------------------------------
 
-opt debug wx:
+opt debug:
 	$(MAKE) TYPE=$@ common
 
 common: $(EBIN)/wings_lang.beam $(TARGET_FILES) $(APP_TARGET)
@@ -160,7 +163,7 @@
 
 lang: template
 	@cp *.lang $(EBIN)
-	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
+	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
 
 clean:
 	rm -f $(TARGET_FILES) $(EBIN)/wings_lang.beam

=== plugins_src/commands/Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	wpc_doosabin \
 	wpc_explode \
 	wpc_flow_connect \
+	wpc_greebles \
 	wpc_grid_snap \
 	wpc_intersect_edge \
 	wpc_intersect_vertex \

=== plugins_src/import_export/Makefile ===
#
#  Makefile --
#
#     Makefile for building import/export plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.25 2006/09/06 22:52:18 antoneos Exp $
#

include ../../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/import_export
WINGS_E3D=../../e3d
WINGS_TOP=../../..

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_3ds \
	wpc_ai \
	wpc_bzw \
	wpc_collada \
	collada_import \
	wpc_gltf \
	wpc_hlines \
	wpc_jscad \
	wpc_kerky \
	wpc_lwo \
	wpc_obj \
	wpc_ply \
	wpc_pov \
	wpc_ps \
	wpc_rwx \
	wpc_stl \
	wpc_svg_path \
	wpc_wrl \
	wpc_x \
	wpc_yafaray

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
  -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------

$(TARGET_FILES): $(WINGS_E3D)/e3d.hrl

=== plugins_src/primitives/Makefile ===
--- 
+++ 
@@ -37,7 +37,8 @@
 	wpc_plane \
 	wpc_spiral \
 	wpc_torus \
-	wpc_tt
+	wpc_tt \
+	wpc_thread
 
 TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

=== debian/changelog ===
wings3d (2.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2022 13:23:08 +0300

wings3d (2.2.8-2) unstable; urgency=medium

  * Fix error in the clean target which caused FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 14:58:09 +0300

wings3d (2.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Disable dependency on libigl since it isn't in Debian.
  * Fix a declaration prototyle to make Wings 3D build using GCC 11
    (closes: #984413).
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 12:30:10 +0300

wings3d (2.2.6.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump the standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 11:47:33 +0300

wings3d (2.2.6.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 10:19:46 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 12.0.0), grep-dctrl,
+Build-Depends: debhelper-compat (= 12), grep-dctrl,
  erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git

## wings3d 2.3

=== c_src/Makefile ===
--- 
+++ 
@@ -44,32 +44,41 @@
 ERL_DIR := $(shell echo $(FRD) | $(ERL) | sed -n '/^=:/s/^=://p')
 ERL_INC = "$(ERL_DIR)/usr/include"
 
+WORDSIZE := $(shell $(ERL) -noinput -eval 'io:format("~w~n", [erlang:system_info(wordsize)*8]),init:stop()')
+
 UNIVERSAL_FLAGS =
-COMMON_CFLAGS = -Wall
+COMMON_CFLAGS = -g
 
 ifeq ($(UseMCL),true)
  OUT = -Fe:
+ OUT_OBJ = -Fo
+ OBJ = obj
  SO_EXT = dll
  LIBS = -LD
- CFLAGS += -nologo -Zi -Ox
+ DEBUG = -Fd$@.pdb
+ CFLAGS += -nologo -Zi -Ox -FS -MP -D__WIN32__
+ CXXFLAGS += $(CFLAGS) -EHsc
 else
  OUT = -o
+ OUT_OBJ = -o
+ OBJ = o
+ CFLAGS += $(COMMON_CFLAGS) -O3 -fPIC
+ CXXFLAGS += -Wno-deprecated-declarations -Wno-unknown-pragmas -Wno-switch
+
  ifdef USEMINGWGCC
   SO_EXT = dll
   LIBS = -mdll
-  GL_LIBS += -lopengl32 -lglu32
-  CFLAGS += $(COMMON_CFLAGS) -Werror -O3
  else
   SO_EXT = so
   DEF_CC = $(CC)
   ifeq ($(OS),Darwin)
-    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -Werror -O3
+    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -O3
     LIBS = $(UNIVERSAL_FLAGS) -bundle -flat_namespace -undefined suppress
-    GL_LIBS =
+    CXXFLAGS += $(CFLAGS) -std=c++14
   else
-    LIBS = -shared -fpic
-    GL_LIBS += -L/usr/local/lib -lGLU -lGL
-    CFLAGS += $(COMMON_CFLAGS) -Werror -O3
+    LIBS = -shared
+    CXX_LD = -lstdc++
+    CXXFLAGS += $(CFLAGS)
   endif
  endif
 endif
@@ -78,16 +87,43 @@
     GCC = $(DEF_CC)
 endif
 
-DRV = $(LIBDIR)/wings_pick_nif.$(SO_EXT)
+IGL_INCLUDE = -I../_deps/eigen -I../_deps/libigl/include
 
-TARGET_FILES=$(BEAM) $(DRV)
+TESS_SRC = dict geom memalloc mesh normal priorityq render sweep tess tessmono
+TESS_HEADER = $(TESS_SRC) priorityq-sort dict-list priorityq-heap
 
-all: $(TARGET_FILES)
+# TESS_SRC_FILES = $(TESS_SRC:%=tess/%.c)
+TESS_OBJ_FILES = $(TESS_SRC:%=tess/%.$(OBJ))
+TESS_HEADER_FILES = $(TESS_HEADER:%=tess/%.h) tess/wtess.h
+
+# libigl only supports 64bits systems
+ifeq (x"${WORDSIZE}",x"64")
+    DRV = libigl wings_pick_nif wings_tess
+else
+    $(info 32bits build ignoring libigl not supported)
+    DRV = wings_pick_nif wings_tess
+endif
+
+TARGET_FILES=$(DRV:%=$(LIBDIR)/%.$(SO_EXT))
+
+opt debug: $(TARGET_FILES)
+
+$(LIBDIR)/libigl.$(SO_EXT): libigl.cpp
+	install -d $(LIBDIR)
+	$(GCC) $(CXXFLAGS) $(IGL_OPTS) -I$(ERL_INC) $(IGL_INCLUDE) $(DEBUG) $(OUT)$@ $< $(LIBS) $(CXX_LD)
+
+$(LIBDIR)/wings_tess.$(SO_EXT): $(TESS_OBJ_FILES) wings_tess.c
+	install -d $(LIBDIR)
+	$(GCC) $(CFLAGS) -I$(ERL_INC) $(DEBUG) $(OUT)$@ wings_tess.c $(TESS_OBJ_FILES) $(LIBS)
 
 $(LIBDIR)/%.$(SO_EXT): %.c
 	install -d $(LIBDIR)
-	$(GCC) $(CFLAGS) -I$(ERL_INC) $(OUT) $@ $< $(LIBS) $(GL_LIBS)
+	$(GCC) $(CFLAGS) -I$(ERL_INC) $(DEBUG) $(OUT) $@ $< $(LIBS)
+
+tess/%.$(OBJ): tess/%.c $(TESS_HEADER_FILES)
+	$(GCC) $(CFLAGS) -c $(OUT_OBJ)$@ $<
 
 clean:
-	rm -f $(TARGET_FILES) vc*.pdb wings_pick_*.obj
+	rm -f $(TARGET_FILES) vc*.pdb *.$(OBJ)
+	rm -f tess/*.$(OBJ)
 	rm -f core

=== src/Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	wings_obj \
 	wings_outliner \
 	wings_palette \
+	wings_palette_imports \
 	wings_pb \
 	wings_pick \
 	wings_pick_nif \
@@ -146,8 +147,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) \
-'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL)
+ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -I ../.. -I../_deps $(TYPE_FLAGS) -pa $(WINGS_INTL)
 
 # ----------------------------------------------------
 # Targets
@@ -170,7 +170,8 @@
 	rm -f core
 
 $(EBIN)/wings_u.beam: $(ESRC)/wings_u.erl
-	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
+	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' '-Dwings_version="$(WINGS_VSN)"' \
+	      $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
 
 $(EBIN)/%.beam: $(ESRC)/%.erl
 	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
@@ -183,7 +184,7 @@
 # ----------------------------------------------------
 # Dependencies
 # ----------------------------------------------------
-$(EBIN)/wings_export.beam $(EBIN)/wings_file.beam $(EBIN)/wings_help.beam $(EBIN)/wings_pref.beam $(EBIN)/wings_u.beam $(EBIN)/wpa.beam: ../vsn.mk
+$(EBIN)/wings_u.beam: ../vsn.mk
 
 $(EBIN)/wings_text.beam: ../intl_tools/wings_chars.hrl

=== plugins_src/autouv/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -pa $(WINGS_INTL) -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/commands/Makefile ===
--- 
+++ 
@@ -30,21 +30,23 @@
 MODULES= \
 	wpc_absolute_move \
 	wpc_absolute_scale \
+	wpc_align_to_axis \
 	wpc_ambocc \
 	wpc_arc_intersect \
 	wpc_bend \
 	wpc_circularise \
-	wpc_inset \
 	wpc_connect_tool \
 	wpc_constraints \
 	wpc_cylindrilize \
 	wpc_corner \
 	wpc_deselect_previous \
 	wpc_doosabin \
+	wpc_duplicate_radial \
 	wpc_explode \
 	wpc_flow_connect \
 	wpc_greebles \
 	wpc_grid_snap \
+	wpc_inset \
 	wpc_intersect_edge \
 	wpc_intersect_vertex \
 	wpc_isometric_view \
@@ -69,7 +71,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -pa $(WINGS_INTL) -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += -pa $(WINGS_INTL) +nowarn_match_float_zero -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -46,16 +46,20 @@
 	wpc_rwx \
 	wpc_stl \
 	wpc_svg_path \
+	wpc_wmf_paths \
 	wpc_wrl \
 	wpc_x \
-	wpc_yafaray
+	x_import \
+	wpc_yafaray \
+	x3d_import \
+	x3d_import__sgi
 
 TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)
 
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
+ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -pa $(WINGS_INTL) \
   -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------

=== plugins_src/primitives/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	wpc_image \
 	wpc_knot \
 	wpc_ncube \
+	wpc_oblong \
 	wpc_plane \
 	wpc_spiral \
 	wpc_torus \
@@ -45,7 +46,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info
+ERL_COMPILE_FLAGS += -Werror +nowarn_match_float_zero -I $(WINGS_TOP) \
+    $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/autouv/shaders/Makefile ===
#
#  Makefile --
#
#     Makefile for copying shaders
#
#  Copyright (c) 2006 Dan Gudmundsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.5 2006/01/27 15:17:56 dgud Exp $
#

DIR = ../../../plugins/autouv

FILES = standard.vs \
	wpc_wood.auv \
	wood.fs \
	wpc_filter.auv \
	image_filter.fs \
	wpc_edgefilter.auv \
	edge_filter.fs \
	wpc_brick.auv \
	brick.fs \
	wpc_hexagon.auv \
	hexagon.fs \
	wpc_tile.auv \
	tile.fs \
	wpc_stripes.auv \
	stripes.fs \
	wpc_voronoi.auv \
	voronoi.fs \
	wpc_marble.auv \
	marble.fs \
	wpc_noise_ext.auv \
	noise_ext.fs \
	wpc_lava.auv \
	lava.fs \
	wpc_caustics.auv \
	caustics.fs \
	wpc_camouflage.auv \
	camouflage.fs \
	wpc_image_mixer.auv \
	image_mixer.fs \
	wpc_triplanar.auv \
	triplanar.vs \
	triplanar.fs \
	wpc_triplanar3.auv \
	triplanar3.fs \
	README-shaders.txt


TARGETFILES = $(FILES:%=$(DIR)/%)

all: $(TARGETFILES)

$(DIR)/%: ./%
	install -d $(DIR)
	install $< $@

clean:
	rm -f $(TARGETFILES)
	rm -f core

=== debian/changelog ===
wings3d (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer necessary patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Dec 2023 14:42:26 +0300

wings3d (2.2.9-3) unstable; urgency=medium

  * Drop unnecessary dependency on the erlang-esdl package (closes: #1038072).
  * Drop build dependency on the superseded libgl1-mesa-dev package.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jun 2023 13:06:20 +0300

wings3d (2.2.9-2) unstable; urgency=medium

  * Fix FTBFS with Erlang 25.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2022 13:29:34 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12), grep-dctrl,
- erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
- libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), grep-dctrl,
+ erlang-dev (>= 1:18.0), erlang-cl, erlang-wx,
+ libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
+Standards-Version: 4.6.2
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
@@ -15,7 +15,7 @@
 Package: wings3d
 Architecture: any
 Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${erlang-wx:Depends},
- ${erlang-xmerl:Depends}, ${erlang-esdl:Depends}, erlang-cl,
+ ${erlang-xmerl:Depends}, erlang-cl,
  ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${erlang-dialyzer:Depends}, ${erlang-tools:Depends}, yafaray | aqsis
 Description: Nendo-inspired 3D polygon mesh modeller

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=tr/-/~/ \
http://sf.net/wings/wings-([\da-z.-]*).tar.bz2

## wings3d 2.4

=== debian/changelog ===
wings3d (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Nov 2024 13:35:47 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), grep-dctrl,
- erlang-dev (>= 1:18.0), erlang-cl, erlang-wx,
+ erlang-dev (>= 1:25), erlang-cl, erlang-wx,
  libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git

## wings3d 2.4.1

=== Makefile ===
--- 
+++ 
@@ -42,10 +42,11 @@
 	escript tools/release
 
 #
-# Build a package for MacOS X.
+# Build a package for macOS.
 #
 .PHONY: macosx
-macosx: opt lang
+macosx: macos
+macos: opt lang
 	escript tools/release
 
 #
@@ -70,6 +71,15 @@
 .PHONY: .FORCE-WINGS-VERSION-FILE
 vsn.mk: .FORCE-WINGS-VERSION-FILE
 	@./WINGS-VERSION-GEN
+
+
+#
+# Dialyze wings and plugins (requires erlang-26)
+#
+
+.PHONY: dialyze
+dialyze: opt intl_tools
+	$(ESCRIPT) tools/dialyze.escript
 
 -include vsn.mk

=== intl_tools/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk
include ../erl.mk

ESRC=.
EBIN=.

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

MODULES=tools

GEN_HEADER=wings_chars.hrl

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam) $(GEN_HEADER)

# Exclude generated wings_en.lang files
LANG_FILES= $(wildcard ../src/*[!en].lang)
#	$(wildcard ../plugins_src/*/*.lang)  takes to long...

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += 
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_FLAGS) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(GEN_HEADER): gen_char_hrl $(LANG_FILES)
	$(ESCRIPT) gen_char_hrl

=== plugins_src/Makefile ===
#
#  Makefile --
#
#     Makefile for building the plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.20 2006/01/19 22:30:47 giniu Exp $
#

include ../erl.mk

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../plugins/default
WINGS_TOP=../..

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wp9_dialogs

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_TOP)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) subdirs

subdirs:
	(cd import_export; $(MAKE))
	(cd primitives; $(MAKE))
	(cd commands; $(MAKE))
	(cd autouv; $(MAKE))

template: opt
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: subdirs_lang template
	cp *.lang $(EBIN)
	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

subdirs_lang:
	(cd import_export; $(MAKE) lang)
	(cd primitives; $(MAKE) lang)
	(cd commands; $(MAKE) lang)
	(cd autouv; $(MAKE) lang)

clean: subdirs_clean
	rm -f $(TARGET_FILES)
	rm -f core

subdirs_clean:
	(cd import_export; $(MAKE) clean)
	(cd primitives; $(MAKE) clean)
	(cd commands; $(MAKE) clean)
	(cd autouv; $(MAKE) clean)

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== src/Makefile ===
--- 
+++ 
@@ -147,7 +147,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -I ../.. -I../_deps $(TYPE_FLAGS) -pa $(WINGS_INTL)
+ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) -pa $(WINGS_INTL)
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -30,10 +30,14 @@
 
 MODULES= \
 	wpc_3ds \
+	wpc_3mf \
 	wpc_ai \
+	wpc_amf \
 	wpc_bzw \
 	wpc_collada \
 	collada_import \
+	wpc_fbx_p \
+	fbx_p_import \
 	wpc_gltf \
 	wpc_hlines \
 	wpc_jscad \
@@ -59,7 +63,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -pa $(WINGS_INTL) \
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
   -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------

=== debian/changelog ===
wings3d (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Feb 2025 13:36:49 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), grep-dctrl,
- erlang-dev (>= 1:25), erlang-cl, erlang-wx,
+ erlang-dev (>= 1:27), erlang-cl, erlang-wx,
  libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
 Standards-Version: 4.7.0
 Homepage: http://www.wings3d.com

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	ln -s ../e3d $(FAKE_BUILD)/e3d
 	ln -s ../intl_tools $(FAKE_BUILD)/intl_tools
 	ln -s ../ebin $(FAKE_BUILD)/ebin
-	$(MAKE)
+	$(MAKE) opt
 	$(MAKE) lang
 
 override_dh_install:
